angrydd(6)

NAME
angrydd - a falling block puzzle game

SYNOPSIS
angrydd [ --debug ]

DESCRIPTION
In Angry, Drunken Dwarves, you are an angry, drunken dwarf. Why are you so angry? Who knows. But you've decided to take your aggression out on other dwarves, by dropping gems on their heads. Lots of gems.

You have your own supply of gems, which will slowly fall from the top of the screen. As gems reach the bottom, they will land and sit in place. If you put enough gems of the same color in a rectangle shape, they will merge and form a crystal.

Less common are break gems, which are circular. When you drop a break gem on a gem or crystal of the same color, it will destroy any gems of that color adjacent to it. Crystals are worth much more than an equal number of regular gems.

For more information, see the "How to Play" screen in the game.

OPTIONS

--debug
    Start the game without Psyco support, for debugging and profiling purposes.

--help, -h
    Display a brief help message.

--version, -v
    Display copyright and version information.

USAGE
Player 1's controls are w, a, s, d for up, left, down, right, q for rotate counter-clockwise, e for clockwise, and Enter or 1 for start. Player 1 can also use the arrow keys to move.

Player 2's controls are i, j, k, l for up, left, down, right, u for rotate counter-clockwise, o for clockwise, and backspace or 2 for start.

Pressing 'p' during a game will pause it. Pressing escape will usually take you back to the menu.

Pressing 'f' or F11 makes the game switch between fullscreen and window mode.

The game is designed to be played with joysticks or gamepads as well; the directionals will move, the buttons rotate, start is start, and select is pause.

GAME MODES

Dwarf versus Dwarf
    Two players fight against each other. You can select the number of matches and other options in the Setup menu.

Arcade Mode
    Go up against each dwarf in game, each one harder than the previous.

Dwarf versus Robot
    To get this mode, you must do well in Arcade Mode. In this mode you can go up against any dwarf you want played by an AI, and also set the AI level in the Setup menu. Select the AI's character with j and l, and confirm it with 2.

Others?
    There are other, secret game modes you can unlock. The "How to Play" screen will give you instructions on these modes when you can play them.

AUTHOR
Joe Wreschnig <piman@sacredchao.net> is the author of Angry, Drunken Dwarves.